=== modified file 'bzrlib/bundle/__init__.py'
--- bzrlib/bundle/__init__.py	2010-02-17 17:11:16 +0000
+++ bzrlib/bundle/__init__.py	2010-07-15 12:53:44 +0000
@@ -16,7 +16,6 @@
 
 from cStringIO import StringIO
 
-from bzrlib.symbol_versioning import deprecated_function, deprecated_in
 from bzrlib.lazy_import import lazy_import
 lazy_import(globals(), """
 from bzrlib import (
@@ -33,11 +32,6 @@
 from bzrlib.trace import note
 
 
-@deprecated_function(deprecated_in((1, 12, 0)))
-def read_bundle_from_url(url):
-    return read_mergeable_from_url(url, _do_directive=False)
-
-
 def read_mergeable_from_url(url, _do_directive=True, possible_transports=None):
     """Read mergable object from a given URL.
 

=== modified file 'bzrlib/tests/test_http.py'
--- bzrlib/tests/test_http.py	2010-07-13 19:02:12 +0000
+++ bzrlib/tests/test_http.py	2010-07-15 12:53:44 +0000
@@ -44,9 +44,6 @@
     ui,
     urlutils,
     )
-from bzrlib.symbol_versioning import (
-    deprecated_in,
-    )
 from bzrlib.tests import (
     features,
     http_server,
@@ -1339,14 +1336,6 @@
         t = self._transport(self.new_server.get_url())
         self.assertEqual('0123456789', t.get('a').read())
 
-    def test_read_redirected_bundle_from_url(self):
-        from bzrlib.bundle import read_bundle_from_url
-        url = self.old_transport.abspath('bundle')
-        bundle = self.applyDeprecated(deprecated_in((1, 12, 0)),
-                read_bundle_from_url, url)
-        # If read_bundle_from_url was successful we get an empty bundle
-        self.assertEqual([], bundle.revisions)
-
 
 class RedirectedRequest(_urllib2_wrappers.Request):
     """Request following redirections. """

=== modified file 'bzrlib/tests/test_read_bundle.py'
--- bzrlib/tests/test_read_bundle.py	2009-07-10 07:14:02 +0000
+++ bzrlib/tests/test_read_bundle.py	2010-07-15 12:53:44 +0000
@@ -35,7 +35,8 @@
 def load_tests(standard_tests, module, loader):
     """Multiply tests for tranport implementations."""
     transport_tests, remaining_tests = tests.split_suite_by_condition(
-        standard_tests, tests.condition_isinstance(TestReadBundleFromURL))
+        standard_tests,
+        tests.condition_isinstance(TestReadMergeableBundleFromURL))
     return tests.multiply_tests(transport_tests, transport_test_permutations(),
         remaining_tests)
 
@@ -60,32 +61,11 @@
     return out, wt
 
 
-class TestDeprecations(tests.TestCaseInTempDir):
-
-    def create_test_bundle(self):
-        out, wt = create_bundle_file(self)
-        f = open('test_bundle', 'wb')
-        try:
-            f.write(out.getvalue())
-        finally:
-            f.close()
-        return wt
-
-    def test_read_bundle_from_url_deprecated(self):
-        wt = self.create_test_bundle()
-        t = bzrlib.transport.get_transport(self.test_dir)
-        url = t.abspath('test_bundle')
-        self.callDeprecated([deprecated_in((1, 12, 0))
-                             % 'bzrlib.bundle.read_bundle_from_url'],
-                            bzrlib.bundle.read_bundle_from_url,
-                            url)
-
-
-class TestReadBundleFromURL(TestTransportImplementation):
+class TestReadMergeableBundleFromURL(TestTransportImplementation):
     """Test that read_bundle works properly across multiple transports"""
 
     def setUp(self):
-        super(TestReadBundleFromURL, self).setUp()
+        super(TestReadMergeableBundleFromURL, self).setUp()
         self.bundle_name = 'test_bundle'
         # read_mergeable_from_url will invoke get_transport which may *not*
         # respect self._transport (i.e. returns a transport that is different

